import { OnInit, OnDestroy, Renderer2, EventEmitter, AfterViewInit } from '@angular/core';
import { Subject } from 'rxjs/Subject';
import { ConnectionPositionPair } from '../core/overlay';
export declare type NzPlacement = 'bottomLeft' | 'bottomCenter' | 'bottomRight' | 'topLeft' | 'topCenter' | 'topRight';
export declare class NzDropDownComponent implements OnInit, OnDestroy, AfterViewInit {
    private _renderer;
    _triggerWidth: number;
    _$mouseSubject: Subject<{}>;
    _placement: NzPlacement;
    _dropDownPosition: 'top' | 'bottom';
    _positions: ConnectionPositionPair[];
    _nzOrigin: any;
    _nzMenu: any;
    nzTrigger: 'click' | 'hover';
    nzClickHide: boolean;
    nzVisible: boolean;
    nzVisibleChange: EventEmitter<boolean>;
    nzPlacement: NzPlacement;
    _onClickEvent(): void;
    _onMouseEnterEvent(e: any): void;
    _onMouseLeaveEvent(e: any): void;
    _onPositionChange(position: any): void;
    _clickDropDown($event: any): void;
    _setTriggerWidth(): void;
    _show(): void;
    _hide(): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngAfterViewInit(): void;
    readonly _hasBackdrop: boolean;
    constructor(_renderer: Renderer2);
}
